The improve package

[Tags: bsd3, library]

ImProve is an imperative programming language for high assurance applications. ImProve uses infinite state, unbounded model checking to verify programs adhere to specifications. Yices (required) is the backend SMT solver.


Properties

Versions0.0.0, 0.0.1, 0.0.2, 0.0.3, 0.0.4, 0.0.5, 0.0.6, 0.0.7, 0.0.8, 0.0.9, 0.0.10, 0.0.11, 0.0.12, 0.1.0, 0.1.2, 0.1.3, 0.1.4, 0.1.5, 0.1.6, 0.2.0, 0.2.1, 0.2.2, 0.2.3, 0.3.0, 0.3.1, 0.3.2, 0.3.3, 0.3.4, 0.4.0
Dependenciesbase (>=4.0 && <5), mtl (>=1.1.0.1 && <2.1), yices (>=0.0.0.7 && <0.0.1)
LicenseBSD3
AuthorTom Hawkins <tomahawkins@gmail.com>
MaintainerTom Hawkins <tomahawkins@gmail.com>
CategoryLanguage, Formal Methods, Embedded
Home pagehttp://tomahawkins.org
Source repositoryhead: git clone git://github.com/tomahawkins/improve.git
Upload dateMon Dec 13 19:42:23 UTC 2010
Uploaded byTomHawkins
Downloads1597 total (192 in last 30 days)

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees